name: test_trotec
start:
  must_home: false
  check_limits: true
axes:
  x:
    steps_per_mm: 77.16
    max_rate_mm_per_min: 4000
    acceleration_mm_per_sec2: 1000
    max_travel_mm: 500
    motor0:
      limit_all_pin: gpio.27:pu
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      hard_limits: true
      pulloff_mm: 1.5
      standard_stepper:
        step_pin: gpio.12:pu
        direction_pin: gpio.14:low
        disable_pin: NO_PIN
    homing:
      cycle: 1
      positive_direction: false
      seek_mm_per_min: 1000
      feed_mm_per_min: 100
      mpos_mm: 0
  y:
    steps_per_mm: 77.16
    max_rate_mm_per_min: 4000
    acceleration_mm_per_sec2: 1000
    max_travel_mm: 500
    motor0:
      limit_all_pin: gpio.33:pu
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      hard_limits: true
      pulloff_mm: 1.5
      standard_stepper:
        step_pin: gpio.26:pu
        direction_pin: gpio.25:pu:low
        disable_pin: NO_PIN
    homing:
      cycle: 1
      positive_direction: false
      seek_mm_per_min: 1000
      feed_mm_per_min: 100
      mpos_mm: 0
stepping:
  engine: RMT
  idle_ms: 250
  pulse_us: 4
  dir_delay_us: 0
  disable_delay_us: 0
Laser:
  output_pin: gpio.16:pd
  enable_pin: NO_PIN
  speed_map: ''
control:
  safety_door_pin: NO_PIN
  macro0_pin: NO_PIN
  macro1_pin: NO_PIN
  macro2_pin: NO_PIN
  macro3_pin: NO_PIN
  reset_pin: NO_PIN
  feed_hold_pin: NO_PIN
  cycle_start_pin: NO_PIN
  fault_pin: NO_PIN
  estop_pin: NO_PIN
user_outputs:
  digital0_pin: gpio.13:low
  digital1_pin: gpio.15:low
  digital2_pin: gpio.2:low
  digital3_pin: gpio.4:low
